<?php
if(!defined('PLX_ROOT')) { exit; }

/**
 * kzZoomy addon for PluXml
 * Zoom thumbnails of articles or opens page of the article if .more element is found.
 *
 * @author Jean-Pierre Pourrez (aka bazooka07)
 * @date 2024-09-13
 * */
class kzZoomy extends plxPlugin {

	public function __construct($lang) {
		parent::__construct($lang);

		if(defined('PLX_ADMIN')) { return; }

		parent::addHook('ThemeEndBody', 'ThemeEndBody');
	}

	public function ThemeEndBody() {
?>
		<div id="kzZoomy">
			<img src="">
		</div>
		<script>
			(function() {
				'use strict';
				const container = document.getElementById('kzZoomy');
				const target = container.querySelector('img');
				const thumbnails = document.querySelectorAll('a:has(img)');

				thumbnails.forEach(function(el) {
					el.addEventListener('click', function(ev) {
						if(/\.tb\.(?:jpe?g|png)$/.test(ev.target.src)) {
							ev.preventDefault();
							const more = ev.currentTarget.parentElement.querySelector('.more a');
							if(more) {
								window.location.href = more.href;
							} else {
								target.src = ev.target.src.replace(/\.tb\.(jpe?g|png)$/, '.$1');
								container.classList.add('active');
							}
						}
					});
				});

				container.addEventListener('click', function(ev) {
					container.classList.toggle('active');
				});
			})();
		</script>
<?php
	}

}
